Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	system monitoring utilities
Name:      	sysstat
Version:   	8.0.1
Release:   	1
Provides:	%{name}
License: 	GNU/GPL
URL:		http://perso.orange.fr/sebastien.godard/
Group:     	System/Base
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		sysstat-ignore-mangrp.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
PreReq:		chkconfig

%description
The sysstat package contains utilities to monitor system performance and usage activity. Sysstat contains various utilities, common to many commercial Unixes, and tools you can schedule via cron to collect and historize performance and activity data.  
* iostat reports CPU statistics and input/output  statistics for  devices, partitions and network filesystems.
* sar collects, reports and saves system activity information (CPU, memory, disks, interrupts, network interfaces, TTY, kernel tables,etc.)
* sadc is the system activity data collector, used as a backend for sar.
* sa1 collects and stores binary data in the system activity daily data file. It is a front end to sadc designed to be run from cron. 
* sa2 writes a summarized daily activity report. It is a front end to sar designed to be run from cron. 
* sadf displays data collected by sar in multiple formats (CSV, XML, etc.) This is useful to load performance data into a database, or import them in a spreadsheet to make graphs.
* mpstat reports individual or combined processor related statistics.
* pidstat reports statistics for Linux tasks (processes).

UP and SMP machines are fully supported by sysstat, including machines with hyperthreaded or multi-core processors. Sysstat also has support for hotplug CPU's (it detects automagically CPU's that are disabled or enabled on the fly) and for National Language (NLS).

%post
/sbin/chkconfig --add sysstat
/sbin/chkconfig sysstat on

# Restart hplip if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/sysstat stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/sysstat start 1>/dev/null 2>&1
fi

%preun
if test $1 = 0; then
        /etc/rc.d/init.d/sysstat stop 1>/dev/null 2>&1
        /sbin/chkconfig --del sysstat
fi



%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--disable-man-group \
		sa_lib_dir=%{_libdir}/sa \
		DESTDIR=$RPM_BUILD_ROOT

make


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/log/sa
make install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755  sysstat $RPM_BUILD_ROOT/etc/rc.d/init.d/sysstat
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 sysstat.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/sysstat
install -m 644 sysstat.ioconf $RPM_BUILD_ROOT/etc/sysconfig/sysstat.ioconf
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
install -m 644 sysstat.crond.sample $RPM_BUILD_ROOT/etc/cron.d/sysstat
mkdir -p $RPM_BUILD_ROOT/etc/rc2.d
cd $RPM_BUILD_ROOT/etc/rc2.d && ln -sf ../init.d/sysstat S03sysstat
mkdir -p $RPM_BUILD_ROOT/etc/rc3.d
cd $RPM_BUILD_ROOT/etc/rc3.d && ln -sf ../init.d/sysstat S03sysstat
mkdir -p $RPM_BUILD_ROOT/etc/rc5.d
cd $RPM_BUILD_ROOT/etc/rc5.d && ln -sf ../init.d/sysstat S03sysstat


%files
%defattr(644,root,root,755)
%doc %{_prefix}/doc/sysstat-%{version}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/sa/*
%attr(644,root,root) %{_mandir}/man*/*
%attr(644,root,root) %{_datadir}/locale/*/LC_MESSAGES/sysstat.mo
%attr(755,root,root) %dir /var/log/sa
%attr(755,root,root) /etc/rc.d/init.d/sysstat
%attr(644,root,root) /etc/sysconfig/sysstat
%attr(644,root,root) /etc/sysconfig/sysstat.ioconf
%attr(755,root,root) /etc/rc2.d/S03sysstat
%attr(755,root,root) /etc/rc3.d/S03sysstat
%attr(755,root,root) /etc/rc5.d/S03sysstat
%config(noreplace) %attr(0644,root,root) /etc/cron.d/sysstat

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.0.1-1
- Version update
* Mon Apr 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.1.4-1
- Initial Release
